Reset PIN with Reset Token
Allows a User to reset their PIN by providing a reset token received via Email and a new PIN, enabling secure PIN recovery when the User forgets their PIN.
Allows a User to reset their PIN by providing a reset token received via Email and a new PIN, enabling secure PIN recovery when the User forgets their PIN.
Tenant API Key for authentication
In: query
Query Parameters
When true, suppresses webhook events for this operation.
Header Parameters
When true, suppresses webhook events for this operation.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/identity/v2/auth/pin/reset/token?prevent_webhook=true" \ -H "X-PreventWebhook: true" \ -H "Content-Type: application/json" \ -d '{ "pin": "7890", "resettoken": "xxxxxxxxxxxxxxxxxxxx" }'{
"IsPosted": true
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The apikey is a required parameter."
}{
"errorCode": 1409,
"message": "Authentication failed",
"description": "The credentials provided could not be authenticated."
}{
"ErrorCode": 6003,
"Message": "Trial plan expired",
"Description": "The trial plan has expired. To continue using the service, please contact support."
}Reset PIN with OTP PUT
Allows a User to reset their PIN by verifying a One-Time Password (OTP). The User must provide the OTP, a new PIN, and one identifier (Phone, Email, or Username), enabling secure PIN recovery when the User forgets their PIN.
Update Phone with MFA Token PUT
Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for Multi-Factor Authentication.